> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Order Lines

> List the Order Lines.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/orders/{publicOrder_uuid}/lines
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder_uuid}/lines:
    get:
      tags:
        - Order
      summary: List Order Lines
      description: List the Order Lines.
      operationId: listOrderLines
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: qui
        - name: publicOrder_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: ab4443ca-ba7d-34d6-bffe-07155312e98d
        - name: include
          in: query
          description: >-
            A comma-separated list of relationships to include. Multiple
            parameters are allowed.
          schema:
            enum:
              - price
              - price.tiers
            type: string
            description: >-
              A comma-separated list of relationships to include. Multiple
              parameters are allowed.
            example: price
          example: price
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 864195d5-f5fb-3bae-a62a-017ff279e9e6
                        title:
                          type: string
                          example: Minus vitae velit quo blanditiis.
                        description:
                          type: string
                          example: Facilis magnam odit ut ut.
                        quantity:
                          type: integer
                          example: 1
                        unit_quantity:
                          type: integer
                          example: 1
                        exchange_rate:
                          type: string
                          example: null
                        exchange_rate_fetched_at:
                          type: string
                          example: null
                        unit_price:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '4293.00'
                            amount_minor:
                              type: integer
                              example: 429300
                        sub_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '4293.00'
                            amount_minor:
                              type: integer
                              example: 429300
                        discount_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        tax_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '58.00'
                            amount_minor:
                              type: integer
                              example: 5800
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '4293.00'
                            amount_minor:
                              type: integer
                              example: 429300
                        total_before_tax:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        notes:
                          type: string
                          example: Dolores et eum soluta non.
                    example:
                      - uuid: 864195d5-f5fb-3bae-a62a-017ff279e9e6
                        title: Minus vitae velit quo blanditiis.
                        description: Facilis magnam odit ut ut.
                        quantity: 1
                        unit_quantity: 1
                        exchange_rate: null
                        exchange_rate_fetched_at: null
                        unit_price:
                          currency: USD
                          amount: '4293.00'
                          amount_minor: 429300
                        sub_total:
                          currency: USD
                          amount: '4293.00'
                          amount_minor: 429300
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        tax_total:
                          currency: USD
                          amount: '58.00'
                          amount_minor: 5800
                        total:
                          currency: USD
                          amount: '4293.00'
                          amount_minor: 429300
                        total_before_tax:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        notes: Dolores et eum soluta non.
                      - uuid: d781c4f5-93be-32c8-85a8-f3d64edab758
                        title: Ut illum ducimus et deserunt atque.
                        description: Ut cumque error ut maiores laboriosam.
                        quantity: 1
                        unit_quantity: 1
                        exchange_rate: null
                        exchange_rate_fetched_at: null
                        unit_price:
                          currency: USD
                          amount: '3933.00'
                          amount_minor: 393300
                        sub_total:
                          currency: USD
                          amount: '3933.00'
                          amount_minor: 393300
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        tax_total:
                          currency: USD
                          amount: '744.00'
                          amount_minor: 74400
                        total:
                          currency: USD
                          amount: '3933.00'
                          amount_minor: 393300
                        total_before_tax:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        notes: Vel deleniti commodi et magni.
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 864195d5-f5fb-3bae-a62a-017ff279e9e6
                      title: Minus vitae velit quo blanditiis.
                      description: Facilis magnam odit ut ut.
                      quantity: 1
                      unit_quantity: 1
                      exchange_rate: null
                      exchange_rate_fetched_at: null
                      unit_price:
                        currency: USD
                        amount: '4293.00'
                        amount_minor: 429300
                      sub_total:
                        currency: USD
                        amount: '4293.00'
                        amount_minor: 429300
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '58.00'
                        amount_minor: 5800
                      total:
                        currency: USD
                        amount: '4293.00'
                        amount_minor: 429300
                      total_before_tax:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      notes: Dolores et eum soluta non.
                    - uuid: d781c4f5-93be-32c8-85a8-f3d64edab758
                      title: Ut illum ducimus et deserunt atque.
                      description: Ut cumque error ut maiores laboriosam.
                      quantity: 1
                      unit_quantity: 1
                      exchange_rate: null
                      exchange_rate_fetched_at: null
                      unit_price:
                        currency: USD
                        amount: '3933.00'
                        amount_minor: 393300
                      sub_total:
                        currency: USD
                        amount: '3933.00'
                        amount_minor: 393300
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '744.00'
                        amount_minor: 74400
                      total:
                        currency: USD
                        amount: '3933.00'
                        amount_minor: 393300
                      total_before_tax:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      notes: Vel deleniti commodi et magni.
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 864195d5-f5fb-3bae-a62a-017ff279e9e6
                    title: Minus vitae velit quo blanditiis.
                    description: Facilis magnam odit ut ut.
                    quantity: 1
                    unit_quantity: 1
                    exchange_rate: null
                    exchange_rate_fetched_at: null
                    unit_price:
                      currency: USD
                      amount: '4293.00'
                      amount_minor: 429300
                    sub_total:
                      currency: USD
                      amount: '4293.00'
                      amount_minor: 429300
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '58.00'
                      amount_minor: 5800
                    total:
                      currency: USD
                      amount: '4293.00'
                      amount_minor: 429300
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    notes: Dolores et eum soluta non.
                  - uuid: d781c4f5-93be-32c8-85a8-f3d64edab758
                    title: Ut illum ducimus et deserunt atque.
                    description: Ut cumque error ut maiores laboriosam.
                    quantity: 1
                    unit_quantity: 1
                    exchange_rate: null
                    exchange_rate_fetched_at: null
                    unit_price:
                      currency: USD
                      amount: '3933.00'
                      amount_minor: 393300
                    sub_total:
                      currency: USD
                      amount: '3933.00'
                      amount_minor: 393300
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '744.00'
                      amount_minor: 74400
                    total:
                      currency: USD
                      amount: '3933.00'
                      amount_minor: 393300
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    notes: Vel deleniti commodi et magni.
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````